Retrieve a statement attribute

- « PDOStatement::fetchObject

- PDOStatement::getColumnMeta »

- PHP Manual
- PDOStatement
- Retrieve a statement attribute

# PDOStatement::getAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8, PECL pdo >= 0.2.0)

PDOStatement::getAttribute — Retrieve a statement attribute

### Description

public PDOStatement::getAttribute(int `$name`): mixed

Gets an attribute of the statement. Currently, no generic attributes exist but only driver specific:

- `PDO::ATTR_CURSOR_NAME` (Firebird and ODBC specific): Get the name of cursor for `UPDATE ... WHERE CURRENT OF`.

Note that driver specific attributes must not be used with other drivers.

### Parameters

`name`

  The attribute to query.

### Return Values

Returns the attribute value.

### See Also

- PDO::getAttribute() - Retrieve a database connection attribute
- PDO::setAttribute() - Set an attribute
- PDOStatement::setAttribute() - Set a statement attribute